Index: sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfig.java
===================================================================
--- sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfig.java	(revision 52df867eb06a1ea39407b63025f2e772dba16392)
+++ sources/app/src/main/java/parkup/configs/webConfigs/WebSecurityConfig.java	(revision 0e407de417b4923a4cee9b91d7c1e37eee848579)
@@ -39,4 +39,5 @@
             auth.userDetailsService(workerService).passwordEncoder(bCryptPasswordEncoder);
             auth.userDetailsService(administratorService).passwordEncoder(bCryptPasswordEncoder);
+
         }
 
Index: sources/app/src/main/java/parkup/controllers/ParkingSessionController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingSessionController.java	(revision 52df867eb06a1ea39407b63025f2e772dba16392)
+++ sources/app/src/main/java/parkup/controllers/ParkingSessionController.java	(revision 0e407de417b4923a4cee9b91d7c1e37eee848579)
@@ -34,6 +34,6 @@
 
     @PostMapping({"/parkingSession/{parkingZoneId}"})
-    public Optional<ParkingSession> startParkingSession(@RequestParam String tablicka, @PathVariable int parkingZoneId) {
-        return this.parkingSessionService.startParkingSession(tablicka,parkingZoneId);
+    public Optional<ParkingSession> startParkingSession(@RequestParam String tablicka, @PathVariable String parkingZoneName) {
+        return this.parkingSessionService.startParkingSession(tablicka,parkingZoneName);
     }
 // TODO: vidi kako kje funkcionira update na sesija i nejzino plakjanje so frontot
Index: sources/app/src/main/java/parkup/controllers/RegisteredUserController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/RegisteredUserController.java	(revision 52df867eb06a1ea39407b63025f2e772dba16392)
+++ sources/app/src/main/java/parkup/controllers/RegisteredUserController.java	(revision 0e407de417b4923a4cee9b91d7c1e37eee848579)
@@ -8,4 +8,5 @@
 import parkup.configs.RegistrationRequest;
 import parkup.configs.RegistrationServiceRP;
+import parkup.data.Plate;
 import parkup.data.enumarations.SessionStatus;
 import parkup.entities.RegisteredUser;
@@ -41,5 +42,6 @@
     }
 
-    @GetMapping({"registriranParkirac/{regParkId}/session"})
+
+    @GetMapping({"/registriranParkirac/{regParkId}/session"})
     public SessionStatus getStatusOnParkirac(@PathVariable int regParkId){
         return parkingSessionService.getStatusOfParkirac(regParkId);
@@ -53,5 +55,14 @@
     @PutMapping({"/registriranParkirac/{regParkId}"})
     public RegisteredUser updateRegistriranParkirac(@PathVariable int regParkId, @RequestBody RegisteredUser regPark) {
-        return this.registeredUserService.updateRegPark(regParkId,regPark.getPassword(), regPark.getFirstName(), regPark.getLastName(), regPark.getMobile(), regPark.getEmail(),regPark.getPlates());
+        return this.registeredUserService.updateRegPark(regParkId,regPark.getPassword(), regPark.getFirstName(), regPark.getLastName(), regPark.getMobile(), regPark.getEmail());
+    }
+    @PutMapping({"/registriranParkirac/{regParkId}/tablici"})
+    public RegisteredUser addTablicaToUser(@PathVariable int regParkId, @RequestBody Plate plate){
+        return this.registeredUserService.addTablica(regParkId,plate);
+    }
+
+    @DeleteMapping({"/registriranParkirac/{regParkId}/tablici"})
+    public RegisteredUser deleteTablicaFromUser(@PathVariable int regParkId, @RequestBody Plate plate){
+        return this.registeredUserService.deleteTablica(regParkId,plate);
     }
 
Index: sources/app/src/main/java/parkup/data/Plate.java
===================================================================
--- sources/app/src/main/java/parkup/data/Plate.java	(revision 52df867eb06a1ea39407b63025f2e772dba16392)
+++ sources/app/src/main/java/parkup/data/Plate.java	(revision 0e407de417b4923a4cee9b91d7c1e37eee848579)
@@ -6,16 +6,4 @@
 public class Plate {
     @Id
-    @SequenceGenerator(
-            name="plate_sequence_generator",
-            sequenceName = "plate_sequence",
-            allocationSize = 1,
-            initialValue = 1000
-    )
-    @GeneratedValue(    //za postgres treba sequence da se namesti i ime na generator mi ga davamo kako od gore sto e
-            strategy = GenerationType.SEQUENCE,
-            generator = "plate_sequence_generator"
-    )
-    private int plateId;
-
     private String plate;
 
Index: sources/app/src/main/java/parkup/services/ParkingSessionService.java
===================================================================
--- sources/app/src/main/java/parkup/services/ParkingSessionService.java	(revision 52df867eb06a1ea39407b63025f2e772dba16392)
+++ sources/app/src/main/java/parkup/services/ParkingSessionService.java	(revision 0e407de417b4923a4cee9b91d7c1e37eee848579)
@@ -72,6 +72,6 @@
 
     @Transactional
-    public Optional<ParkingSession> startParkingSession(String tablica, int parkingZoneId) {
-        ParkingZone parkingZone = parkingZoneRepository.findByPzId(parkingZoneId);
+    public Optional<ParkingSession> startParkingSession(String tablica, String parkingZoneName) {
+        ParkingZone parkingZone = parkingZoneRepository.findByPzName(parkingZoneName);
         Plate plate = plateRepository.findByPlate(tablica);
         if(plate ==null) {
Index: sources/app/src/main/java/parkup/services/RegisteredUserService.java
===================================================================
--- sources/app/src/main/java/parkup/services/RegisteredUserService.java	(revision 52df867eb06a1ea39407b63025f2e772dba16392)
+++ sources/app/src/main/java/parkup/services/RegisteredUserService.java	(revision 0e407de417b4923a4cee9b91d7c1e37eee848579)
@@ -55,5 +55,5 @@
 
     @Transactional
-    public RegisteredUser updateRegPark(int regParkId,String password, String name, String surname, String mobile, String email, List<Plate> regTablicki) {
+    public RegisteredUser updateRegPark(int regParkId,String password, String name, String surname, String mobile, String email) {
         Optional<RegisteredUser> regParkOpt = Optional.ofNullable(this.registeredUserRepository.findByRegParkId(regParkId));
         if (regParkOpt.isPresent()) {
@@ -81,5 +81,4 @@
                 regParkNov.setMobile(mobile);
             }
-            regParkNov.setPlates(regTablicki);
             return regParkNov;
         }else{
@@ -151,3 +150,16 @@
         return registeredUserRepository.enableRegisteredUser(email);
     }
+
+    @Transactional
+    public RegisteredUser addTablica(int regParkId, Plate plate) {
+        RegisteredUser user = registeredUserRepository.findByRegParkId(regParkId);
+        user.getPlates().add(plate);
+        return user;
+    }
+    @Transactional
+    public RegisteredUser deleteTablica(int regParkId, Plate plate) {
+        RegisteredUser user = registeredUserRepository.findByRegParkId(regParkId);
+        user.getPlates().remove(plate);
+        return user;
+    }
 }
